package icedtea-netx:amd64 1.5.1-1ubuntu1 failed to install/upgrade: subprocess installed post-installation script returned error exit status 2

Bug #1363785 reported by Erich Eickmeyer on 2014-09-01
This bug affects 246 people
Affects Status Importance Assigned to Milestone
Iced Tea
Invalid
Undecided
Unassigned
NetBeans IDE
Undecided
Unassigned
icedtea-web (Debian)
Fix Released
Unknown
icedtea-web (Ubuntu)
High
Matthias Klose
Utopic
High
Matthias Klose

Bug Description

Attempted to install icedtea-7-plugin on Ubuntu MATE Remix and received this error. Looks like an upstream bug from the Ubuntu MATE team, but seems to affect other users as well. Has been reported via IRC on Freenode #ubuntu-mate as also existing in Ubuntu GNOME 14.04 Trusty.

ProblemType: Package
DistroRelease: Ubuntu 14.10
Package: icedtea-netx:amd64 1.5.1-1ubuntu1
ProcVersionSignature: Ubuntu 3.16.0-11.16-generic 3.16.1
Uname: Linux 3.16.0-11-generic x86_64
ApportVersion: 2.14.7-0ubuntu1
Architecture: amd64
Date: Sun Aug 31 20:15:55 2014
DuplicateSignature: package:icedtea-netx:amd64:1.5.1-1ubuntu1:subprocess installed post-installation script returned error exit status 2
ErrorMessage: subprocess installed post-installation script returned error exit status 2
InstallationDate: Installed on 2014-09-01 (0 days ago)
InstallationMedia: Ubuntu MATE 14.10 "Utopic Unicorn" - pre-beta2.24117 amd64 (20140829)
SourcePackage: icedtea-web
Title: package icedtea-netx:amd64 1.5.1-1ubuntu1 failed to install/upgrade: subprocess installed post-installation script returned error exit status 2
UpgradeStatus: No upgrade log present (probably fresh install)

Erich Eickmeyer (eeickmeyer) wrote :
tags: removed: need-duplicate-check
no longer affects: ubuntu-mate
Launchpad Janitor (janitor) wrote :

Status changed to 'Confirmed' because the bug affects multiple users.

Changed in icedtea-web (Ubuntu):
status: New → Confirmed
fidel@flm.cat (fidelleon) wrote :

In my case (Xubuntu beta 1), installation fails because icedtea-netx tries to update a pair of alternatives for an openjdk-8 JRE but such files are not installed by any package:

itweb-settings
javaws

"apt-file search javaws" shows icedtea-netx doesn't provide a java 8 javaws:

icedtea-netx: /usr/lib/jvm/java-6-openjdk-amd64/bin/javaws
icedtea-netx: /usr/lib/jvm/java-6-openjdk-amd64/jre/bin/javaws
icedtea-netx: /usr/lib/jvm/java-6-openjdk-amd64/jre/man/man1/javaws.1.gz
icedtea-netx: /usr/lib/jvm/java-6-openjdk-amd64/man/man1/javaws.1.gz
icedtea-netx: /usr/lib/jvm/java-7-openjdk-amd64/bin/javaws
icedtea-netx: /usr/lib/jvm/java-7-openjdk-amd64/jre/bin/javaws
icedtea-netx: /usr/lib/jvm/java-7-openjdk-amd64/jre/man/man1/javaws.1.gz
icedtea-netx: /usr/lib/jvm/java-7-openjdk-amd64/man/man1/javaws.1.gz
icedtea-netx-common: /etc/icedtea-web/javaws.policy
icedtea-netx-common: /usr/share/applications/icedtea-netx-javaws.desktop
icedtea-netx-common: /usr/share/icedtea-web/javaws_splash.png
icedtea-netx-common: /usr/share/icons/hicolor/16x16/apps/javaws.png
icedtea-netx-common: /usr/share/icons/hicolor/24x24/apps/javaws.png
icedtea-netx-common: /usr/share/icons/hicolor/32x32/apps/javaws.png
icedtea-netx-common: /usr/share/icons/hicolor/48x48/apps/javaws.png

Dan Johansen (strit) wrote :

I got the same problem as the bug reporter. But i just run regular Ubuntu 14.10 beta.

Changed in icedtea-web (Ubuntu):
importance: Undecided → High
Changed in icedtea-web (Ubuntu Utopic):
assignee: nobody → Matthias Klose (doko)
Dave Stroud (bigdavesr) wrote :

am running 14.10 gnome 64 bit

SB (emehntehtt) wrote :
Download full text (9.6 KiB)

I am confirming this bug when I attempt to install icedtea-7-plugin on Ubuntu 14.10. I am posting the whole install log.

sudo apt-get install icedtea-7-plugin
Reading package lists... Done
Building dependency tree
Reading state information... Done
The following extra packages will be installed:
  ca-certificates-java fonts-dejavu-extra icedtea-netx icedtea-netx-common
  java-common libatk-wrapper-java libatk-wrapper-java-jni libbonobo2-0
  libbonobo2-common libgconf2-4 libgnome2-0 libgnome2-bin libgnome2-common
  liborbit-2-0 openjdk-7-jre openjdk-7-jre-headless tzdata-java
Suggested packages:
  default-jre equivs libbonobo2-bin desktop-base icedtea-7-jre-jamvm
  sun-java6-fonts fonts-ipafont-gothic fonts-ipafont-mincho ttf-wqy-microhei
  ttf-wqy-zenhei fonts-indic
The following NEW packages will be installed:
  ca-certificates-java fonts-dejavu-extra icedtea-7-plugin icedtea-netx
  icedtea-netx-common java-common libatk-wrapper-java libatk-wrapper-java-jni
  libbonobo2-0 libbonobo2-common libgconf2-4 libgnome2-0 libgnome2-bin
  libgnome2-common liborbit-2-0 openjdk-7-jre openjdk-7-jre-headless
  tzdata-java
0 upgraded, 18 newly installed, 0 to remove and 0 not upgraded.
Need to get 0 B/43,6 MB of archives.
After this operation, 72,7 MB of additional disk space will be used.
Do you want to continue? [Y/n] y
Selecting previously unselected package ca-certificates-java.
(Reading database ... 229178 files and directories currently installed.)
Preparing to unpack .../ca-certificates-java_20140324_all.deb ...
Unpacking ca-certificates-java (20140324) ...
Selecting previously unselected package tzdata-java.
Preparing to unpack .../tzdata-java_2014g-1_all.deb ...
Unpacking tzdata-java (2014g-1) ...
Selecting previously unselected package java-common.
Preparing to unpack .../java-common_0.52_all.deb ...
Unpacking java-common (0.52) ...
Selecting previously unselected package openjdk-7-jre-headless:amd64.
Preparing to unpack .../openjdk-7-jre-headless_7u65-2.5.2-4_amd64.deb ...
Unpacking openjdk-7-jre-headless:amd64 (7u65-2.5.2-4) ...
Selecting previously unselected package openjdk-7-jre:amd64.
Preparing to unpack .../openjdk-7-jre_7u65-2.5.2-4_amd64.deb ...
Unpacking openjdk-7-jre:amd64 (7u65-2.5.2-4) ...
Selecting previously unselected package libatk-wrapper-java.
Preparing to unpack .../libatk-wrapper-java_0.30.4-4_all.deb ...
Unpacking libatk-wrapper-java (0.30.4-4) ...
Selecting previously unselected package libatk-wrapper-java-jni:amd64.
Preparing to unpack .../libatk-wrapper-java-jni_0.30.4-4_amd64.deb ...
Unpacking libatk-wrapper-java-jni:amd64 (0.30.4-4) ...
Selecting previously unselected package libbonobo2-common.
Preparing to unpack .../libbonobo2-common_2.32.1-3_all.deb ...
Unpacking libbonobo2-common (2.32.1-3) ...
Selecting previously unselected package liborbit-2-0:amd64.
Preparing to unpack .../liborbit-2-0_1%3a2.14.19-0.3_amd64.deb ...
Unpacking liborbit-2-0:amd64 (1:2.14.19-0.3) ...
Selecting previously unselected package libbonobo2-0:amd64.
Preparing to unpack .../libbonobo2-0_2.32.1-3_amd64.deb ...
Unpacking libbonobo2-0:amd64 (2.32.1-3) ...
Selecting previously unselected package libgnome2-common.
Preparing to unpack .../...

Read more...

Rik Mills (rikmills) wrote :

Same problem on fresh utopic install

Same problem on fresh utopic install

I can confirm the same issue on Ubuntu MATE 1.8.1; Ubuntu 4.9.1-16ubuntu4

Dan Johansen (strit) wrote :

Any news on the progress of fixing this bug? Ubuntu 14.10 is only days away now, and many websites and applications still use java/icedtea plugins, so a fix for this would be crucial for many.
I know that danish government still use java for public logins etc.

Problem in using some plugins

SB (emehntehtt) wrote :

This bug is still present as of today in 14.10, only 6 days until 14.10 is officially released, this needs to be fixed as soon as possible. Having broken java in a released version will look very bad for Utopic Unicorn.

UbuntuFlo (ubuntuflo) wrote :

Just installed utopic-desktop-amd64.iso (22-Oct-2014 19:43), tried to install icedtea-7-plugin and run into this bug.

UbuntuFlo (ubuntuflo) wrote :

A dirty trick to make apt-get happy:
sudo ln -sv /usr/lib/jvm/java-7-openjdk-amd64 /usr/lib/jvm/java-8-openjdk-amd64
sudo apt-get install -f
Credit to Allan Bruno Petersen (metalight): https://answers.launchpad.net/ubuntu/+source/icedtea-web/+question/254216

Ethan Eriksen (ethaneriksen20) wrote :

Any update on when this will be fixed?

zdex (jsen767) wrote :

I just experienced this bug on Ubuntu 14.10

Rômulo (tlromulo-o) wrote :

This affects 32 bits version too.

eboth (ebhy-yansyah) on 2014-10-27
Changed in icedtea-web (Ubuntu):
status: Confirmed → New
Launchpad Janitor (janitor) wrote :

Status changed to 'Confirmed' because the bug affects multiple users.

Changed in icedtea-web (Ubuntu):
status: New → Confirmed
Dev (deviskec) wrote :

Yea please fix this, it's ridiculous to let something let this slip in to a release.

I'm experiencing the same issue on my fresh Ubuntu 14.10 x64 install.

Changed in icedtea-web (Ubuntu):
status: Confirmed → Triaged
Changed in icedtea-web (Ubuntu Utopic):
status: Confirmed → Triaged
Thiago Martins (martinx) wrote :

I thing I've learned from Canonical, stable releases of Ubuntu does NOT means they are really stable.

I faced a LOT of problems with Trusty after official release, and now this... :-/

seatex (sakers-tx) wrote :

Utopic release should have been delayed until this was fixed, but that's never allowed to happen.

Ubuntu is really losing fans fast with things like this continuing release after release, and new users do not understand why Linux is so great when they see something like this.

Mark Rich (sir-marky) wrote :

I have just encountered this problem trying to install this file as a dependency to run x-mind.

Changed in icedtea:
status: Unknown → New
wgroiss (wolfgang-groiss-gmx) wrote :

I used utopic 64 bit beta since 2 months. After a holiday of 2 weeks (and not using ubuntu) i updated today the new packages and got this bug.

Bob H (bobbicat) wrote :

this bug appears when trying to install the java plugin from the repositories
the package icedtea-netx that is being used here is broken
Debian have reported that it is unready for use as it causes installation failure

the earlier package still in the repositories at Trusty is working fine
this Utopic package is at the development stage at Debian and should not have been released

A regression to the Trusty packages would return a working java to Utopic
the new packages could be reintroduced when they are fixed and bug free

Bob H (bobbicat) wrote :

as the icedtea-netx package will probably not be fixed for a while at Debian, can I suggest that packages in Utopic are regressed to the Trusty Tahr versions so that Utopic can have a working java plugin

exleper (exleper) wrote :

im having this problem too and its rather critical too because the java with browser plugin is needed to log into norwegian netbanks

Rômulo (tlromulo-o) wrote :

Same as exleper, I need a solution because java with browser plugin is needed to log into Brazilian net banks. I believe Bob's idea would be the best while it is not fixed.

Also affected on a fresh install of Ubuntu 14.10 trying to install openjdk-6-jdk. Used the workaround reported by UbuntuFlo https://bugs.launchpad.net/ubuntu/+source/icedtea-web/+bug/1363785/comments/14 and it was enough to fix the broken dependency.

Paul Dooley (pilotpaul) wrote :

Remember when using the workaround in post #14 to change "amd64" to "i386" if you are using a 32-bit installation...did this and dependency fixed (running an old P4 system!).

SB (emehntehtt) wrote :

I installed Oracle Java until this is fixed, there is an automated installer available from a ppa.

https://help.ubuntu.com/community/Java

Check section "command line methods".

We don't need java right now -> so no hurry for me with the fix or
workaround. Thanks anyway to all.

2014-11-02 12:21 GMT+02:00 Paul Dooley <email address hidden>:

> Remember when using the workaround in post #14 to change "amd64" to
> "i386" if you are using a 32-bit installation...did this and dependency
> fixed (running an old P4 system!).
>
> --
> You received this bug notification because you are subscribed to a
> duplicate bug report (1387528).
> https://bugs.launchpad.net/bugs/1363785
>
> Title:
> package icedtea-netx:amd64 1.5.1-1ubuntu1 failed to install/upgrade:
> subprocess installed post-installation script returned error exit
> status 2
>
> Status in Iced Tea:
> New
> Status in “icedtea-web” package in Ubuntu:
> Triaged
> Status in “icedtea-web” source package in Utopic:
> Triaged
>
> Bug description:
> Attempted to install icedtea-7-plugin on Ubuntu MATE Remix and
> received this error. Looks like an upstream bug from the Ubuntu MATE
> team, but seems to affect other users as well. Has been reported via
> IRC on Freenode #ubuntu-mate as also existing in Ubuntu GNOME 14.04
> Trusty.
>
> ProblemType: Package
> DistroRelease: Ubuntu 14.10
> Package: icedtea-netx:amd64 1.5.1-1ubuntu1
> ProcVersionSignature: Ubuntu 3.16.0-11.16-generic 3.16.1
> Uname: Linux 3.16.0-11-generic x86_64
> ApportVersion: 2.14.7-0ubuntu1
> Architecture: amd64
> Date: Sun Aug 31 20:15:55 2014
> DuplicateSignature: package:icedtea-netx:amd64:1.5.1-1ubuntu1:subprocess
> installed post-installation script returned error exit status 2
> ErrorMessage: subprocess installed post-installation script returned
> error exit status 2
> InstallationDate: Installed on 2014-09-01 (0 days ago)
> InstallationMedia: Ubuntu MATE 14.10 "Utopic Unicorn" - pre-beta2.24117
> amd64 (20140829)
> SourcePackage: icedtea-web
> Title: package icedtea-netx:amd64 1.5.1-1ubuntu1 failed to
> install/upgrade: subprocess installed post-installation script returned
> error exit status 2
> UpgradeStatus: No upgrade log present (probably fresh install)
>
> To manage notifications about this bug go to:
> https://bugs.launchpad.net/icedtea/+bug/1363785/+subscriptions
>

LukasThyWalls (thywalls) wrote :
Download full text (4.1 KiB)

Same here in fresh install of KUbuntu 14.10 (Offtopic: This is the worst release of *Ubuntu for me since i use it... :\)

$ sudo apt-get install icedtea-plugin
[sudo] password for ******:
Leyendo lista de paquetes... Hecho
Creando árbol de dependencias
Leyendo la información de estado... Hecho
Se instalarán los siguientes paquetes extras:
  icedtea-7-plugin icedtea-netx icedtea-netx-common
Se instalarán los siguientes paquetes NUEVOS:
  icedtea-7-plugin icedtea-netx icedtea-netx-common icedtea-plugin
0 actualizados, 4 se instalarán, 0 para eliminar y 0 no actualizados.
Se necesita descargar 0 B/1.301 kB de archivos.
Se utilizarán 2.294 kB de espacio de disco adicional después de esta operación.
¿Desea continuar? [S/n] S
Seleccionando el paquete icedtea-netx-common previamente no seleccionado.
(Leyendo la base de datos ... 167173 ficheros o directorios instalados actualmente.)
Preparing to unpack .../icedtea-netx-common_1.5.1-1ubuntu1_all.deb ...
Unpacking icedtea-netx-common (1.5.1-1ubuntu1) ...
Seleccionando el paquete icedtea-netx:i386 previamente no seleccionado.
Preparing to unpack .../icedtea-netx_1.5.1-1ubuntu1_i386.deb ...
Unpacking icedtea-netx:i386 (1.5.1-1ubuntu1) ...
Seleccionando el paquete icedtea-7-plugin:i386 previamente no seleccionado.
Preparing to unpack .../icedtea-7-plugin_1.5.1-1ubuntu1_i386.deb ...
Unpacking icedtea-7-plugin:i386 (1.5.1-1ubuntu1) ...
Seleccionando el paquete icedtea-plugin previamente no seleccionado.
Preparing to unpack .../icedtea-plugin_1.5.1-1ubuntu1_all.deb ...
Unpacking icedtea-plugin (1.5.1-1ubuntu1) ...
Processing triggers for desktop-file-utils (0.22-1ubuntu2) ...
Processing triggers for mime-support (3.55ubuntu1) ...
Processing triggers for hicolor-icon-theme (0.13-1) ...
Processing triggers for man-db (2.7.0.2-2) ...
Configurando icedtea-netx-common (1.5.1-1ubuntu1) ...
Configurando icedtea-netx:i386 (1.5.1-1ubuntu1) ...
update-alternatives: utilizando /usr/lib/jvm/java-6-openjdk-i386/jre/bin/javaws para proveer /usr/bin/javaws (javaws) en modo automático
update-alternatives: utilizando /usr/lib/jvm/java-6-openjdk-i386/jre/bin/itweb-settings para proveer /usr/bin/itweb-settings (itweb-settings) en modo automático
update-alternatives: atención: no se sustituirá /usr/share/man/man1/itweb-settings.1.gz por un enlace
update-alternatives: utilizando /usr/lib/jvm/java-7-openjdk-i386/jre/bin/javaws para proveer /usr/bin/javaws (javaws) en modo automático
update-alternatives: utilizando /usr/lib/jvm/java-7-openjdk-i386/jre/bin/itweb-settings para proveer /usr/bin/itweb-settings (itweb-settings) en modo automático
update-alternatives: atención: no se sustituirá /usr/share/man/man1/itweb-settings.1.gz por un enlace
update-alternatives: error: la ruta alternativa /usr/lib/jvm/java-8-openjdk-i386/jre/bin/javaws no existe
dpkg: error al procesar el paquete icedtea-netx:i386 (--configure):
 el subproceso instalado el script post-installation devolvió el código de salida de error 2
dpkg: problemas de dependencias impiden la configuración de icedtea-7-plugin:i386:
 icedtea-7-plugin:i386 depende de i...

Read more...

Couguar Iuga (couguar) wrote :

Ubuntu 14.10 amd64

sudo apt-get install icedtea-7-plugin 100 ↵
Reading package lists... Done
Building dependency tree
Reading state information... Done
icedtea-7-plugin is already the newest version.
0 upgraded, 0 newly installed, 0 to remove and 0 not upgraded.
2 not fully installed or removed.
After this operation, 0 B of additional disk space will be used.
Do you want to continue? [Y/n] y
Setting up icedtea-netx:amd64 (1.5.1-1ubuntu1) ...
update-alternatives: warning: forcing reinstallation of alternative /usr/lib/jvm/java-7-openjdk-amd64/jre/bin/itweb-settings because link group itweb-settings is broken
update-alternatives: warning: not replacing /usr/share/man/man1/itweb-settings.1.gz with a link
update-alternatives: warning: forcing reinstallation of alternative /usr/lib/jvm/java-7-openjdk-amd64/jre/bin/itweb-settings because link group itweb-settings is broken
update-alternatives: warning: not replacing /usr/share/man/man1/itweb-settings.1.gz with a link
update-alternatives: error: alternative path /usr/lib/jvm/java-8-openjdk-amd64/jre/bin/javaws doesn't exist
dpkg: error processing package icedtea-netx:amd64 (--configure):
 subprocess installed post-installation script returned error exit status 2
dpkg: dependency problems prevent configuration of icedtea-7-plugin:amd64:
 icedtea-7-plugin:amd64 depends on icedtea-netx (= 1.5.1-1ubuntu1); however:
  Package icedtea-netx:amd64 is not configured yet.

dpkg: error processing package icedtea-7-plugin:amd64 (--configure):
 dependency problems - leaving unconfigured
No apport report written because the error message indicates its a followup error from a previous failure.
                                  Errors were encountered while processing:
 icedtea-netx:amd64
 icedtea-7-plugin:amd64
E: Sub-process /usr/bin/dpkg returned an error code (1)

Robert Avant (robertj-avant) wrote :

I believe this error occured when installing pdf sam.

Luis Alvarado (luisalvarado) wrote :

No. This error appears simply by trying to install the icedtea-plugin. That's all you need to do to get the error.

1. Install Ubuntu
2. Update the repositories and try to install the icedtea-plugin.
3. Welcome hell to your PC.

This applies to the icedtea version 7.x which has the 1.5.1-1ubuntu1 package version.

Heikki Moisander (moisander) wrote :

I am sorry, I fail to understand the discussion going on - have not been
reading it too carefully though. Why this still continues? I think it is
quite clear to development team that fix is needed and I am 100% certain
they know how to proceed. It is just matter of prioritization, which brings
me some desperate feelings as the focus seems to be now somewhere else and
the hell is brought to your PC just by installing 14.10.

Tue Nov 11 2014 at 4.25.46 Luis Alvarado <email address hidden>
kirjoitti:

> No. This error appears simply by trying to install the icedtea-plugin.
> That's all you need to do to get the error.
>
> 1. Install Ubuntu
> 2. Update the repositories and try to install the icedtea-plugin.
> 3. Welcome hell to your PC.
>
> This applies to the icedtea version 7.x which has the 1.5.1-1ubuntu1
> package version.
>
> --
> You received this bug notification because you are subscribed to a
> duplicate bug report (1387528).
> https://bugs.launchpad.net/bugs/1363785
>
> Title:
> package icedtea-netx:amd64 1.5.1-1ubuntu1 failed to install/upgrade:
> subprocess installed post-installation script returned error exit
> status 2
>
> Status in Iced Tea:
> New
> Status in NetBeans IDE:
> New
> Status in “icedtea-web” package in Ubuntu:
> Triaged
> Status in “icedtea-web” source package in Utopic:
> Triaged
>
> Bug description:
> Attempted to install icedtea-7-plugin on Ubuntu MATE Remix and
> received this error. Looks like an upstream bug from the Ubuntu MATE
> team, but seems to affect other users as well. Has been reported via
> IRC on Freenode #ubuntu-mate as also existing in Ubuntu GNOME 14.04
> Trusty.
>
> ProblemType: Package
> DistroRelease: Ubuntu 14.10
> Package: icedtea-netx:amd64 1.5.1-1ubuntu1
> ProcVersionSignature: Ubuntu 3.16.0-11.16-generic 3.16.1
> Uname: Linux 3.16.0-11-generic x86_64
> ApportVersion: 2.14.7-0ubuntu1
> Architecture: amd64
> Date: Sun Aug 31 20:15:55 2014
> DuplicateSignature: package:icedtea-netx:amd64:1.5.1-1ubuntu1:subprocess
> installed post-installation script returned error exit status 2
> ErrorMessage: subprocess installed post-installation script returned
> error exit status 2
> InstallationDate: Installed on 2014-09-01 (0 days ago)
> InstallationMedia: Ubuntu MATE 14.10 "Utopic Unicorn" - pre-beta2.24117
> amd64 (20140829)
> SourcePackage: icedtea-web
> Title: package icedtea-netx:amd64 1.5.1-1ubuntu1 failed to
> install/upgrade: subprocess installed post-installation script returned
> error exit status 2
> UpgradeStatus: No upgrade log present (probably fresh install)
>
> To manage notifications about this bug go to:
> https://bugs.launchpad.net/icedtea/+bug/1363785/+subscriptions
>

Joluca (luiz-joluca42) wrote :

2014-11-11 3:58 GMT-02:00 Heikki Moisander <email address hidden>:

> I am sorry, I fail to understand the discussion going on - have not been
> reading it too carefully though. Why this still continues? I think it is
> quite clear to development team that fix is needed and I am 100% certain
> they know how to proceed. It is just matter of prioritization, which brings
> me some desperate feelings as the focus seems to be now somewhere else and
> the hell is brought to your PC just by installing 14.10.
>

I already gave up on ubuntu 14:10, and returned to 14:04.

--

 Ao encaminhar esta mensagem, por favor:
--- apague meu endereço e os demais,
--- faça-o sempre com cópia oculta (CCO) ou (BCC).
Assim dificultarás a disseminação de Spam/Pishing.
A internet agradece.

"Debian Wheezy/Ubuntu

Ubuntu = "Humanidade para com os outros"

[image: ubuntu-user.png]
Linux User 561880.

PJSingh5000 (pjsingh5000) wrote :

If you absolutely must use 14.10...

(1)
You can follow the instructions in post #14 (https://bugs.launchpad.net/ubuntu/+source/icedtea-web/+bug/1363785/comments/14) to correct the issue.

(2)
Or, execute these commands in sequence to avoid getting an error during the icedtea-7-plugin installation:

    # Remove icedtea-7-plugin openjdk-7-jre, if you have them installed
    $ sudo apt-get autoremove --purge icedtea-7-plugin openjdk-7-jre

    # Install openjdk-7-jre
    $ sudo apt-get install openjdk-7-jre

    # Use the workaround proposed in post #14: create a link to java-7-openjdk-amd64
    $ sudo ln -sv /usr/lib/jvm/java-7-openjdk-amd64 /usr/lib/jvm/java-8-openjdk-amd64

    # Install the iced tea plugin
    $ sudo apt-get install icedtea-7-plugin

Of course this is just a work-around.

Perhaps when openjdk 8 is released and, this bug may just go away???

Joluca (luiz-joluca42) wrote :

Thanks for the indicated path worked perfectly in Firefox 33.Para
Ubuntu-Mate 14:10.

--

 Ao encaminhar esta mensagem, por favor:
--- apague meu endereço e os demais,
--- faça-o sempre com cópia oculta (CCO) ou (BCC).
Assim dificultarás a disseminação de Spam/Pishing.
A internet agradece.

"Debian Wheezy/Ubuntu

Ubuntu = "Humanidade para com os outros"

[image: ubuntu-user.png]
Linux User 561880.

Nick (nick-power) wrote :

Effects Ubuntu Unicorn 14.10

I'm affected by the bug too, thanks for the symlink workaround!

frakbe (franco-bersani) wrote :

Hi to all,
I'had got the same problem, the workaround described above wasn't enough for my system [Kubuntu 14.10 amd64]; I've resolved with these commands:

sudo apt-get install icedtea-plugin openjdk-7-jre openjdk-8-jre
sudo ln -sv /usr/lib/jvm/java-7-openjdk-amd64 /usr/lib/jvm/java-8-openjdk-amd64
sudo rm /usr/share/man/man1/itweb-settings.1.gz
sudo ln -sv /usr/lib/jvm/java-7-openjdk-amd64/jre/man/man1/itweb-settings.1.gz /usr/share/man/man1/itweb-settings.1.gz
sudo ln -sv /usr/bin/javaws /usr/lib/jvm/java-8-openjdk-amd64/jre/bin/javaws
sudo ln -sv /usr/lib/jvm/java-7-openjdk-amd64/jre/bin/itweb-settings /usr/lib/jvm/java-8-openjdk-amd64/jre/bin/itweb-settings
sudo apt-get install -f

Hoping will help someone

Joluca (luiz-joluca42) wrote :

Hi,

I definitely give up the Ubuntu 14.10. Staying with Ubuntu 14:04 LTS.

2014-11-18 9:09 GMT-02:00 frakbe <email address hidden>:

> Hi to all,
> I'had got the same problem, the workaround described above wasn't enough
> for my system [Kubuntu 14.10 amd64]; I've resolved with these commands:
>
> sudo apt-get install icedtea-plugin openjdk-7-jre openjdk-8-jre
> sudo ln -sv /usr/lib/jvm/java-7-openjdk-amd64
> /usr/lib/jvm/java-8-openjdk-amd64
> sudo rm /usr/share/man/man1/itweb-settings.1.gz
> sudo ln -sv
> /usr/lib/jvm/java-7-openjdk-amd64/jre/man/man1/itweb-settings.1.gz
> /usr/share/man/man1/itweb-settings.1.gz
> sudo ln -sv /usr/bin/javaws
> /usr/lib/jvm/java-8-openjdk-amd64/jre/bin/javaws
> sudo ln -sv /usr/lib/jvm/java-7-openjdk-amd64/jre/bin/itweb-settings
> /usr/lib/jvm/java-8-openjdk-amd64/jre/bin/itweb-settings
> sudo apt-get install -f
>
> Hoping will help someone
>
> --
> You received this bug notification because you are subscribed to a
> duplicate bug report (1380797).
> https://bugs.launchpad.net/bugs/1363785
>
> Title:
> package icedtea-netx:amd64 1.5.1-1ubuntu1 failed to install/upgrade:
> subprocess installed post-installation script returned error exit
> status 2
>
> Status in Iced Tea:
> New
> Status in NetBeans IDE:
> New
> Status in “icedtea-web” package in Ubuntu:
> Triaged
> Status in “icedtea-web” source package in Utopic:
> Triaged
>
> Bug description:
> Attempted to install icedtea-7-plugin on Ubuntu MATE Remix and
> received this error. Looks like an upstream bug from the Ubuntu MATE
> team, but seems to affect other users as well. Has been reported via
> IRC on Freenode #ubuntu-mate as also existing in Ubuntu GNOME 14.04
> Trusty.
>
> ProblemType: Package
> DistroRelease: Ubuntu 14.10
> Package: icedtea-netx:amd64 1.5.1-1ubuntu1
> ProcVersionSignature: Ubuntu 3.16.0-11.16-generic 3.16.1
> Uname: Linux 3.16.0-11-generic x86_64
> ApportVersion: 2.14.7-0ubuntu1
> Architecture: amd64
> Date: Sun Aug 31 20:15:55 2014
> DuplicateSignature: package:icedtea-netx:amd64:1.5.1-1ubuntu1:subprocess
> installed post-installation script returned error exit status 2
> ErrorMessage: subprocess installed post-installation script returned
> error exit status 2
> InstallationDate: Installed on 2014-09-01 (0 days ago)
> InstallationMedia: Ubuntu MATE 14.10 "Utopic Unicorn" - pre-beta2.24117
> amd64 (20140829)
> SourcePackage: icedtea-web
> Title: package icedtea-netx:amd64 1.5.1-1ubuntu1 failed to
> install/upgrade: subprocess installed post-installation script returned
> error exit status 2
> UpgradeStatus: No upgrade log present (probably fresh install)
>
> To manage notifications about this bug go to:
> https://bugs.launchpad.net/icedtea/+bug/1363785/+subscriptions
>

--

 Ao encaminhar esta mensagem, por favor:
--- apague meu endereço e os demais,
--- faça-o sempre com cópia oculta (CCO) ou (BCC).
Assim dificultarás a disseminação de Spam/Pishing.
A internet agradece.

"Debian Wheezy/Ubuntu

Ubuntu = "Humanidade para com os outros"

[image: ubuntu-user.png]
Linux User 561880.

Launchpad Janitor (janitor) wrote :

This bug was fixed in the package icedtea-web - 1.5.2~rc1-1ubuntu1

---------------
icedtea-web (1.5.2~rc1-1ubuntu1) vivid; urgency=medium

  * Regenerate the control file.

icedtea-web (1.5.2~rc1-1) unstable; urgency=medium

  * IcedTea-Web 1.5.2 release candidate 1.
    - RH1095311, PR574 - Build fix for JDK9 (references class sun.misc.Ref
      removed in OpenJDK 9).
    - RH1154177 - decoded file needed from cache.
    - fixed NPE in https dialog.
    - empty codebase behaves as ".".
  * Remove the support for OpenJDK 8, breaks for OpenJDK 7, when 8 is not
    installed. Closes: #759226. LP: #1363785.
 -- Matthias Klose <email address hidden> Fri, 21 Nov 2014 09:31:38 +0100

Changed in icedtea-web (Ubuntu):
status: Triaged → Fix Released
Changed in icedtea:
status: New → Fix Released
Bob H (bobbicat) wrote :

Will the package icedtea-web - 1.5.2~rc1-1ubuntu1 be made available in Utopic?

Workaround works nice for me! Many Thanks!

2014-11-18 9:09 GMT-02:00 frakbe <email address hidden>:

> Hi to all,
> I'had got the same problem, the workaround described above wasn't enough
> for my system [Kubuntu 14.10 amd64]; I've resolved with these commands:
>
> sudo apt-get install icedtea-plugin openjdk-7-jre openjdk-8-jre
> sudo ln -sv /usr/lib/jvm/java-7-openjdk-amd64
> /usr/lib/jvm/java-8-openjdk-amd64
> sudo rm /usr/share/man/man1/itweb-settings.1.gz
> sudo ln -sv
> /usr/lib/jvm/java-7-openjdk-amd64/jre/man/man1/itweb-settings.1.gz
> /usr/share/man/man1/itweb-settings.1.gz
> sudo ln -sv /usr/bin/javaws
> /usr/lib/jvm/java-8-openjdk-amd64/jre/bin/javaws
> sudo ln -sv /usr/lib/jvm/java-7-openjdk-amd64/jre/bin/itweb-settings
> /usr/lib/jvm/java-8-openjdk-amd64/jre/bin/itweb-settings
> sudo apt-get install -f
>
> Hoping will help someone
>
> --
> You received this bug notification because you are subscribed to a
> duplicate bug report (1390989).
> https://bugs.launchpad.net/bugs/1363785
>
> Title:
> package icedtea-netx:amd64 1.5.1-1ubuntu1 failed to install/upgrade:
> subprocess installed post-installation script returned error exit
> status 2
>
> Status in Iced Tea:
> New
> Status in NetBeans IDE:
> New
> Status in “icedtea-web” package in Ubuntu:
> Triaged
> Status in “icedtea-web” source package in Utopic:
> Triaged
>
> Bug description:
> Attempted to install icedtea-7-plugin on Ubuntu MATE Remix and
> received this error. Looks like an upstream bug from the Ubuntu MATE
> team, but seems to affect other users as well. Has been reported via
> IRC on Freenode #ubuntu-mate as also existing in Ubuntu GNOME 14.04
> Trusty.
>
> ProblemType: Package
> DistroRelease: Ubuntu 14.10
> Package: icedtea-netx:amd64 1.5.1-1ubuntu1
> ProcVersionSignature: Ubuntu 3.16.0-11.16-generic 3.16.1
> Uname: Linux 3.16.0-11-generic x86_64
> ApportVersion: 2.14.7-0ubuntu1
> Architecture: amd64
> Date: Sun Aug 31 20:15:55 2014
> DuplicateSignature: package:icedtea-netx:amd64:1.5.1-1ubuntu1:subprocess
> installed post-installation script returned error exit status 2
> ErrorMessage: subprocess installed post-installation script returned
> error exit status 2
> InstallationDate: Installed on 2014-09-01 (0 days ago)
> InstallationMedia: Ubuntu MATE 14.10 "Utopic Unicorn" - pre-beta2.24117
> amd64 (20140829)
> SourcePackage: icedtea-web
> Title: package icedtea-netx:amd64 1.5.1-1ubuntu1 failed to
> install/upgrade: subprocess installed post-installation script returned
> error exit status 2
> UpgradeStatus: No upgrade log present (probably fresh install)
>
> To manage notifications about this bug go to:
> https://bugs.launchpad.net/icedtea/+bug/1363785/+subscriptions
>

Matthias Klose (doko) wrote :

On 11/24/2014 11:42 AM, Bob H wrote:
> Will the package icedtea-web - 1.5.2~rc1-1ubuntu1 be made available in
> Utopic?

no, only the final 1.5.2 release, so please make sure that this works in vivid.

Tessa (unit3) wrote :

Am I misunderstanding, or does this mean you guys intend to leave the java plugin broken in Utopic?

Configurando icedtea-netx:amd64 (1.5.1-1ubuntu1) ...
update-alternatives: aviso: a forçar a reinstalação da alternativa
/usr/lib/jvm/java-7-openjdk-amd64/jre/bin/itweb-settings porque a ligação
de grupo itweb-settings está estragada
update-alternatives: aviso: não substituir
/usr/share/man/man1/itweb-settings.1.gz por uma ligação
update-alternatives: aviso: a forçar a reinstalação da alternativa
/usr/lib/jvm/java-7-openjdk-amd64/jre/bin/itweb-settings porque a ligação
de grupo itweb-settings está estragada
update-alternatives: aviso: não substituir
/usr/share/man/man1/itweb-settings.1.gz por uma ligação
update-alternatives: erro: o caminho
/usr/lib/jvm/java-8-openjdk-amd64/jre/bin/javaws da alternativa não existe
dpkg: erro ao processar o pacote icedtea-netx:amd64 (--configure):
 sub-processo script post-installation instalado retornou estado de saída
de erro 2
dpkg: problemas com dependências impedem a configuração de
icedtea-7-plugin:amd64:
 icedtea-7-plugin:amd64 depende de icedtea-netx (= 1.5.1-1ubuntu1); porém:
  Pacote icedtea-netx:amd64 não está configurado ainda.

dpkg: erro ao processar o pacote icedtea-7-plugin:amd64 (--configure):
 problemas de dependência - deixando desconfigurado
dpkg: problemas com dependências impedem a configuração de icedtea-plugin:
 icedtea-plugin depende de icedtea-7-plugin; porém:
  Pacote icedtea-7-plugin:amd64 não está configurado ainda.

dpkg: erro ao processar o pacote icedtea-plugin (--configure):
 problemas de dependência - deixando desconfigurado
Nenhum relatório apport escrito pois a mensagem de erro indica que é um
erro de seguimento de um erro anterior.

                                   Nenhum relatório apport escrito pois a
mensagem de erro indica que é um erro de seguimento de um erro anterior.

                           Erros foram encontrados durante o processamento
de:
 icedtea-netx:amd64
 icedtea-7-plugin:amd64
 icedtea-plugin
E: Sub-process /usr/bin/dpkg returned an error code (1)

Hello Erich, or anyone else affected,

Accepted icedtea-web into utopic-proposed. The package will build now and be available at http://launchpad.net/ubuntu/+source/icedtea-web/1.5.2-1ubuntu2~14.10 in a few hours, and then in the -proposed repository.

Please help us by testing this new package. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation how to enable and use -proposed. Your feedback will aid us getting this update out to other Ubuntu users.

If this package fixes the bug for you, please add a comment to this bug, mentioning the version of the package you tested, and change the tag from verification-needed to verification-done. If it does not fix the bug for you, please add a comment stating that, and change the tag to verification-failed. In either case, details of your testing will help us make a better decision.

Further information regarding the verification process can be found at https://wiki.ubuntu.com/QATeam/PerformingSRUVerification . Thank you in advance!

Changed in icedtea-web (Ubuntu Utopic):
status: Triaged → Fix Committed
tags: added: verification-needed

> Hi, Chris J. Arges,
>

 Sorry however I am no longer using the 14:10 version because is very buggy
on my machine.

--

 Ao encaminhar esta mensagem, por favor:
--- apague meu endereço e os demais,
--- faça-o sempre com cópia oculta (CCO) ou (BCC).
Assim dificultarás a disseminação de Spam/Pishing.
A internet agradece.

"Debian Wheezy/Ubuntu

Ubuntu = "Humanidade para com os outros"

[image: ubuntu-user.png]
Linux User 561880.

Benkő Pál (benko-pal) wrote :

using -proposed icedtea installs and works as expected for me.

DEDan (zsdedan) wrote :

Confirm this. icedtea-7-plugin installs normally from utopic-proposed.

Joluca (luiz-joluca42) wrote :

Hi, Benk"o Pál

 Sorry however I am no longer using the 14:10 version because is very buggy
on my machine.

2014-12-17 4:37 GMT-02:00 Benkő Pál <email address hidden>:
>
> using -proposed icedtea installs and works as expected for me.
>
> --
> You received this bug notification because you are subscribed to a
> duplicate bug report (1380797).
> https://bugs.launchpad.net/bugs/1363785
>
> Title:
> package icedtea-netx:amd64 1.5.1-1ubuntu1 failed to install/upgrade:
> subprocess installed post-installation script returned error exit
> status 2
>
> Status in Iced Tea:
> Fix Released
> Status in NetBeans IDE:
> New
> Status in icedtea-web package in Ubuntu:
> Fix Released
> Status in icedtea-web source package in Utopic:
> Fix Committed
>
> Bug description:
> Attempted to install icedtea-7-plugin on Ubuntu MATE Remix and
> received this error. Looks like an upstream bug from the Ubuntu MATE
> team, but seems to affect other users as well. Has been reported via
> IRC on Freenode #ubuntu-mate as also existing in Ubuntu GNOME 14.04
> Trusty.
>
> ProblemType: Package
> DistroRelease: Ubuntu 14.10
> Package: icedtea-netx:amd64 1.5.1-1ubuntu1
> ProcVersionSignature: Ubuntu 3.16.0-11.16-generic 3.16.1
> Uname: Linux 3.16.0-11-generic x86_64
> ApportVersion: 2.14.7-0ubuntu1
> Architecture: amd64
> Date: Sun Aug 31 20:15:55 2014
> DuplicateSignature: package:icedtea-netx:amd64:1.5.1-1ubuntu1:subprocess
> installed post-installation script returned error exit status 2
> ErrorMessage: subprocess installed post-installation script returned
> error exit status 2
> InstallationDate: Installed on 2014-09-01 (0 days ago)
> InstallationMedia: Ubuntu MATE 14.10 "Utopic Unicorn" - pre-beta2.24117
> amd64 (20140829)
> SourcePackage: icedtea-web
> Title: package icedtea-netx:amd64 1.5.1-1ubuntu1 failed to
> install/upgrade: subprocess installed post-installation script returned
> error exit status 2
> UpgradeStatus: No upgrade log present (probably fresh install)
>
> To manage notifications about this bug go to:
> https://bugs.launchpad.net/icedtea/+bug/1363785/+subscriptions
>

--

 Ao encaminhar esta mensagem, por favor:
--- apague meu endereço e os demais,
--- faça-o sempre com cópia oculta (CCO) ou (BCC).
Assim dificultarás a disseminação de Spam/Pishing.
A internet agradece.

"Debian Wheezy/Ubuntu

Ubuntu = "Humanidade para com os outros"

[image: ubuntu-user.png]
Linux User 561880.

Joluca (luiz-joluca42) wrote :

Hi, DEDan

 Sorry however I am no longer using the 14:10 version because is very buggy
on my machine.

2014-12-17 5:34 GMT-02:00 DEDan <email address hidden>:
>
> Confirm this. icedtea-7-plugin installs normally from utopic-proposed.
>
> --
> You received this bug notification because you are subscribed to a
> duplicate bug report (1380797).
> https://bugs.launchpad.net/bugs/1363785
>
> Title:
> package icedtea-netx:amd64 1.5.1-1ubuntu1 failed to install/upgrade:
> subprocess installed post-installation script returned error exit
> status 2
>
> Status in Iced Tea:
> Fix Released
> Status in NetBeans IDE:
> New
> Status in icedtea-web package in Ubuntu:
> Fix Released
> Status in icedtea-web source package in Utopic:
> Fix Committed
>
> Bug description:
> Attempted to install icedtea-7-plugin on Ubuntu MATE Remix and
> received this error. Looks like an upstream bug from the Ubuntu MATE
> team, but seems to affect other users as well. Has been reported via
> IRC on Freenode #ubuntu-mate as also existing in Ubuntu GNOME 14.04
> Trusty.
>
> ProblemType: Package
> DistroRelease: Ubuntu 14.10
> Package: icedtea-netx:amd64 1.5.1-1ubuntu1
> ProcVersionSignature: Ubuntu 3.16.0-11.16-generic 3.16.1
> Uname: Linux 3.16.0-11-generic x86_64
> ApportVersion: 2.14.7-0ubuntu1
> Architecture: amd64
> Date: Sun Aug 31 20:15:55 2014
> DuplicateSignature: package:icedtea-netx:amd64:1.5.1-1ubuntu1:subprocess
> installed post-installation script returned error exit status 2
> ErrorMessage: subprocess installed post-installation script returned
> error exit status 2
> InstallationDate: Installed on 2014-09-01 (0 days ago)
> InstallationMedia: Ubuntu MATE 14.10 "Utopic Unicorn" - pre-beta2.24117
> amd64 (20140829)
> SourcePackage: icedtea-web
> Title: package icedtea-netx:amd64 1.5.1-1ubuntu1 failed to
> install/upgrade: subprocess installed post-installation script returned
> error exit status 2
> UpgradeStatus: No upgrade log present (probably fresh install)
>
> To manage notifications about this bug go to:
> https://bugs.launchpad.net/icedtea/+bug/1363785/+subscriptions
>

--

 Ao encaminhar esta mensagem, por favor:
--- apague meu endereço e os demais,
--- faça-o sempre com cópia oculta (CCO) ou (BCC).
Assim dificultarás a disseminação de Spam/Pishing.
A internet agradece.

"Debian Wheezy/Ubuntu

Ubuntu = "Humanidade para com os outros"

[image: ubuntu-user.png]
Linux User 561880.

As a part of the Stable Release Updates quality process a search for Launchpad bug reports using the version of icedtea-web from utopic-proposed was performed and bug 1403306 was found. Please investigate this bug report to ensure that a regression will not be created by this SRU. In the event that this is not a regression remove the "verification-failed" tag from this bug report and tag 1403306 "bot-stop-nagging". Thanks!

tags: added: verification-failed
Matthias Klose (doko) wrote :

no, the bot is wrong. the build logs in bug #1403306 show that this is the old version.

tags: added: verification-done
removed: verification-failed

Hi Chris J Arges,

Regarding comment #51 : I 've already done the steps in https://wiki.ubuntu.com/Testing/EnableProposed to enable and use -proposed.

Still my system can't find the icedtea-web package:

root@dell:~# apt-get install icedtea-web
Reading package lists... Done
Building dependency tree
Reading state information... Done
E: Unable to locate package icedtea-web
root@dell:~# apt-get install icedtea-web/utopic-proposed
Reading package lists... Done
Building dependency tree
Reading state information... Done
E: Unable to locate package icedtea-web

Mathew Hodson (mathew-hodson) wrote :

Rodrigo, the binary package is named icedtea-7-plugin.

tags: removed: verification-needed
Changed in icedtea:
importance: Unknown → Undecided
status: Fix Released → New
status: New → Invalid
Changed in netbeans-ide:
status: New → Invalid
Changed in icedtea-web (Debian):
status: Unknown → Fix Released
wgroiss (wolfgang-groiss-gmx) wrote :

For me, I can also confirm: icedtea-7-plugin installs now normally from utopic-proposed.

Rafael Soares (rafaelsoaresbr) wrote :

Installs normally from ubuntu-proposed, thanks.

Launchpad Janitor (janitor) wrote :

This bug was fixed in the package icedtea-web - 1.5.2-1ubuntu2~14.10

---------------
icedtea-web (1.5.2-1ubuntu2~14.10) utopic-proposed; urgency=medium

  * Upload to utopic, fixing installation issues. LP: #1363785.

icedtea-web (1.5.2-1ubuntu2) vivid; urgency=medium

  * Regenerate the control file.

icedtea-web (1.5.2-1) unstable; urgency=medium

  * IcedTea-Web 1.5.2 release.

icedtea-web (1.5.2~rc1-1) unstable; urgency=medium

  * IcedTea-Web 1.5.2 release candidate 1.
    - RH1095311, PR574 - Build fix for JDK9 (references class sun.misc.Ref
      removed in OpenJDK 9).
    - RH1154177 - decoded file needed from cache.
    - fixed NPE in https dialog.
    - empty codebase behaves as ".".
  * Remove the support for OpenJDK 8, breaks for OpenJDK 7, when 8 is not
    installed. Closes: #759226. LP: #1363785.
 -- Matthias Klose <email address hidden> Fri, 28 Nov 2014 13:14:41 +0100

Changed in icedtea-web (Ubuntu Utopic):
status: Fix Committed → Fix Released

The verification of the Stable Release Update for icedtea-web has completed successfully and the package has now been released to -updates. Subsequently, the Ubuntu Stable Release Updates Team is being unsubscribed and will not receive messages about this bug report. In the event that you encounter a regression using the package from -updates please report a new bug using ubuntu-bug and tag the bug report regression-update so we can easily find any regressions.

But what is now the path to enable compatability with openjdk-8?
For the users using (or depending on) openjdk-8 we now don't have any icedtea support :-(

To post a comment you must log in.